mpdas(1)

NAME
mpdas - Music Player Daemon AudioScrobbler

SYNOPSIS
mpdas [options]

DESCRIPTION
mpdas is a MPD AudioScrobbler client using libmpd to retrieve the song data from MPD and libcurl to post it to Last.fm.

OPTIONS

-c CONFIGFILE
    Read configuration from file.

-d  Run detached from the controlling terminal.

-h  Display help.

-v  Display version.

CONFIGURATION
When mpdas starts it tries to read the configuration file $SYSCONFIGDIR/mpdasrc first, then the user configuration file at ~/.config/mpdasrc (taken from $XDG_CONFIG_HOME if set) or ~/.mpdasrc.

An example configuration file (mpdasrc.example) is usually provided with mpdas.

username = LASTFM USERNAME
    Set your Last.fm username.

password = LASTFM PASSWORD
    Set your Last.fm password

host = HOSTNAME
    Set the hostname used by MPD.

mpdpassword = MPD PASSWORD
    Set the password used by MPD.

port = MPD PORT
    Set the port used by MPD.

runas = USERNAME
    Changes the user mpdas runs as.

debug = (0|1)
    Print out debug information.

service = SERVICE NAME
    Will scrobble to Libre.fm if set to "librefm". Otherwise Last.fm is used (default).

AUTHORS
mpdas was written by Henrik Friedrichsen <henrik@affekt.org>.

The manpage was written by Sebastian Mair <tuqs@core.ws>.